use libboard_zynq::{print, println, self as zynq,
    devc::{DevC},
};

pub fn load_pl(devc: &mut DevC) {
    devc.enable_and_select_pcap();
    devc.clear_interrupts();
    devc.initialize_pl();
    devc.wait_for_pl_to_be_ready();
    devc.disable_pcap_loopback();
    devc.disable_pcap_secure_mode();
    devc.load_dma();
    //devc.wait_for_dma_transfer();
    println!("end\n\n");
}
